.app-page {
    display: flex;
    min-height: 100vh;
}

.app-sidebar {
    flex: 0 0 250px;
    width: 250px;
    min-height: 100vh;
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.app-main {
    flex: 1 1 auto;
    min-width: 0;
}

.app-content {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.app-nav-top-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 3.5rem;
    background-color: rgba(0, 0, 0, 0.4);
}

.app-nav-top-row .navbar-brand {
    font-size: 1.1rem;
}

.app-nav-top-row .navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.app-nav-menu .nav-item {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

.app-nav-menu .nav-item:first-of-type {
    padding-top: 1rem;
}

.app-nav-menu .nav-item:last-of-type {
    padding-bottom: 1rem;
}

.app-nav-menu .oi {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.app-nav-menu .nav-link {
    display: flex;
    align-items: center;
    height: 3rem;
    color: #d7d7d7;
    line-height: 3rem;
    border-radius: 4px;
}

.app-nav-menu .nav-link.active {
    color: #fff;
    background-color: rgba(255, 255, 255, 0.25);
}

.app-nav-menu .nav-link:hover {
    color: #fff;
    background-color: rgba(255, 255, 255, 0.1);
}

.app-nav-menu .btn-link {
    color: #d7d7d7;
    text-decoration: none;
}

.app-nav-menu .btn-link:hover {
    color: #fff;
}

@media (max-width: 640.98px) {
    .app-page {
        display: block;
    }

    .app-sidebar {
        width: 100%;
        min-height: 0;
    }

    .app-nav-menu-collapsed {
        display: none;
    }

    .app-nav-menu-expanded {
        display: block;
    }
}

@media (min-width: 641px) {
    .app-sidebar {
        position: sticky;
        top: 0;
        height: 100vh;
    }

    .app-nav-top-row .navbar-toggler {
        display: none;
    }

    .app-nav-menu {
        display: block;
    }

    .app-content {
        padding-right: 1.5rem !important;
        padding-left: 2rem !important;
    }
}
